Index: code/trunk/data/defaultConfig/keybindings.ini
===================================================================
--- code/trunk/data/defaultConfig/keybindings.ini	(revision 9416)
+++ code/trunk/data/defaultConfig/keybindings.ini	(revision 9526)
@@ -55,5 +55,5 @@
 KeyLeftBracket=
 KeyLeftControl=mouseLook
-KeyLeftShift=
+KeyLeftShif
 KeyLeftWindows=
 KeyLessThan=
@@ -141,8 +141,8 @@
 KeyWebSearch=
 KeyWebStop=
-KeyX=
+KeyX="selectClosest"
 KeyY=
 KeyYen=
-KeyZ=
+KeyZ="selectNext"
 
 [MouseButtons]
Index: code/trunk/data/levels/bigshipPresentation.oxw
===================================================================
--- code/trunk/data/levels/bigshipPresentation.oxw	(revision 9526)
+++ code/trunk/data/levels/bigshipPresentation.oxw	(revision 9526)
@@ -0,0 +1,34 @@
+<LevelInfo
+ name = "bigship Presentation"
+ description = "A level with absolutely nothing in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/bigship.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=bigship />
+    
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/collateralDamageDemo.oxw
===================================================================
--- code/trunk/data/levels/collateralDamageDemo.oxw	(revision 9526)
+++ code/trunk/data/levels/collateralDamageDemo.oxw	(revision 9526)
@@ -0,0 +1,36 @@
+<LevelInfo
+ name = "Collateral Damage Demo"
+ description = " "
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage />
+    
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/gallery.oxw
===================================================================
--- code/trunk/data/levels/gallery.oxw	(revision 9416)
+++ code/trunk/data/levels/gallery.oxw	(revision 9526)
@@ -68,5 +68,5 @@
       <Model position="0,20,-40" yaw="90" pitch="-90" roll="0" scale="2" mesh="LightningGun.mesh" />
       <Model position="0,40,-40" yaw="90" pitch="-90" roll="0" scale="2" mesh="LightningGun-s.mesh" />
-      <Model position="0,60,-40" yaw="90" pitch="-90" roll="0" scale="1.5" mesh="laserbeam.mesh" />
+      <Model position="0,60,-40" yaw="90" pitch="-90" roll="0" scale="1.5" mesh="LaserBeam.mesh" />
       <Model position="0,80,-40" yaw="90" pitch="-90" roll="0" scale="2" mesh="rocket.mesh" />
       <Model position="0,-20,-40" yaw="90" pitch="-90" roll="0" scale="5" mesh="hs-w01.mesh" />
Index: code/trunk/data/levels/includes/weaponSettingsCollateral.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsCollateral.oxi	(revision 9526)
+++ code/trunk/data/levels/includes/weaponSettingsCollateral.oxi	(revision 9526)
@@ -0,0 +1,47 @@
+    <weaponslots>
+      <WeaponSlot position="-15.0,-1.5,0" />
+      <WeaponSlot position=" 15.0,-1.5,0" />
+      <WeaponSlot position="    0,   0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+
+        <Weapon>
+          <attached>
+            <!--Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="5,-1.3,0" /--> <!-- ROCKET LAUNCHER -->
+            <!--Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" /--> <!-- THING BETWEEN -->
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="90" yaw="-90" position="-1.5, 1, -0.3" scale=0.6 /> <!-- MACHINE GUN -->
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+
+        <Weapon>
+          <attached>
+            <!--Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" /-->
+            <!--Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" /-->
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="90" yaw="-90" position="1.8, 1, -0.3" scale=0.6 /> <!-- MACHINE GUN -->
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsEscort.oxi	(revision 9416)
+++ code/trunk/data/levels/includes/weaponSettingsEscort.oxi	(revision 9526)
@@ -14,22 +14,10 @@
         </links>
         <Weapon>
-          <attached>
-            <!--Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,0,0" />
-            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
-            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 /-->
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam.mesh" />
+          <!--HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" projectileMesh="LaserBeam.mesh" /-->
         </Weapon>
         <Weapon>
-          <attached>
-            <!--Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,0,0" />
-            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
-            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 /-->
-          </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam.mesh" />
+          <!--HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" projectileMesh="LaserBeam.mesh" /-->
         </Weapon>
       </WeaponPack>
Index: code/trunk/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsTurret.oxi	(revision 9526)
+++ code/trunk/data/levels/includes/weaponSettingsTurret.oxi	(revision 9526)
@@ -0,0 +1,22 @@
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="sphere.mesh" position="3,3,-2.2" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3, 3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3,-3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3, 3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3,-3,-2.2" />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsbigship.oxi	(revision 9526)
+++ code/trunk/data/levels/includes/weaponSettingsbigship.oxi	(revision 9526)
@@ -0,0 +1,48 @@
+    <weaponslots>
+      <WeaponSlot position="-1.5,-5,-3" />
+      <WeaponSlot position=" 1.5,-5,-3" />  
+      <WeaponSlot position="    0,   0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+           
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+        <!--Weapon>
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+        </Weapon-->
+      </WeaponPack>
+    </weapons>
Index: code/trunk/data/levels/pong.oxw
===================================================================
--- code/trunk/data/levels/pong.oxw	(revision 9416)
+++ code/trunk/data/levels/pong.oxw	(revision 9526)
@@ -93,5 +93,5 @@
 <!-- TODO: Create a Pong Score Sound and include it here.
 This WorldSound works, but doesn't make sense, since it is played together with ambient/moodDependedDirectory/Ganymede.ogg -->
-            <!--WorldSound name="scoreSound" position="0,0,0" source="ambient/default/Earth.ogg" >
+            <!--WorldSound name="scoreSound" position="0,0,0" source="sounds/PongScore_cut.ogg" >
               <events>
                 <play>
Index: code/trunk/data/levels/presentationHS12.oxw
===================================================================
--- code/trunk/data/levels/presentationHS12.oxw	(revision 9526)
+++ code/trunk/data/levels/presentationHS12.oxw	(revision 9526)
@@ -0,0 +1,501 @@
+<!-- NEW FEATURES:
+- Three new Spaceships: collateralDamage; planetDestroyer; lightEscortship;
+- Shaders (not included here, since the ogre plugin is missing on Ubuntu)
+- Sound Effects (not included)
+- Animation (not included)
+- HUD aiming assistant
+- Turret
+- Racing Bots
+-->
+<LevelInfo
+ name = "Presentation HS 2012"
+ description = "New Features: new Spaceships, Racing AI, HUD Aiming Assistant, Turret, Shaders, Sound Effects"
+ tags = "presentation"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipEscort.oxt")
+  include("templates/bigship.oxt")
+  include("templates/spaceshipTurret.oxt")
+  include("templates/spaceshipCollateralDamage.oxt")
+?>
+
+<Level
+  gametype = SpaceRace
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <NotificationQueueCEGUI
+    name="narrative"
+    targets="simpleNotification"
+    size=1
+    displayTime=30
+    position="0.2, 0, 0.1, 0"
+    fontSize="24"
+    fontColor="0.3, 1, 0.2, 0.8"
+    alignment="HorzCentred"
+    displaySize="0.6, 0, 0, 0"
+    />
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skyBoxMoreNebula"
+  > <!-- Orxonox/Starbox -->
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <!--SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=bigship /-->
+    <!--SpawnPoint team=0 position="-900,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage /-->
+    <!--SpawnPoint team=0 position="6000,0,2000" lookat="1,1,0" spawnclass=SpaceShip pawndesign=spaceshipcollateraldamage /-->
+    
+    <SpaceRaceManager>
+        <checkpoints>
+            <RaceCheckPoint name="checkpoint1" position="000,0,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="0" islast="false" nextcheckpoints="1,2,3">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+<!--- first three alternative paths --->
+            <RaceCheckPoint name="checkpoint2" position="1300,0,-800" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="1" islast="false" nextcheckpoints="7,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90/>
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint3" position="1200,-400,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="2" islast="false" nextcheckpoints="4,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint4" position="1200,100,700" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="3" islast="false" nextcheckpoints="5,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+<!--- second three alternative paths --->
+            <RaceCheckPoint name="checkpoint5" position="2000,0,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="4" islast="false" nextcheckpoints="7,8,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint6" position="2000,-500,400" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="5" islast="false" nextcheckpoints="9,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+
+<!--- third generation --->
+
+            <RaceCheckPoint name="checkpoint7" position="5000,0,-3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="6" islast="false" nextcheckpoints="11,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=135 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint8" position="3500,800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="7" islast="false" nextcheckpoints="10,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint9" position="3500,-800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="8" islast="false" nextcheckpoints="10,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint10" position="3500,0,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="9" islast="false" nextcheckpoints="11,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+<!-- Intermediate Solo Gate -->
+            <RaceCheckPoint name="checkpoint11" position="4500,0,-100" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+<!----  First Common Point  ---->
+            <RaceCheckPoint name="checkpoint12" position="6000,0,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="11" islast="false" nextcheckpoints="12,14,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=45 />
+                </attached>
+            </RaceCheckPoint>
+
+<!-- Two Paths (1) -->
+            <RaceCheckPoint name="checkpoint13" position="7500,-1500,2500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="12" islast="false" nextcheckpoints="14,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=130 roll=1 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint14" position="7500,-1500,1500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="13" islast="false" nextcheckpoints="15,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=90 />
+                </attached>
+            </RaceCheckPoint>
+
+<!-- Two Paths (2) -->
+            <RaceCheckPoint name="checkpoint15" position="9000,-3000, 3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="14" islast="false" nextcheckpoints="16,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=130 roll=1 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint16" position="9000,-3000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="15" islast="false" nextcheckpoints="16,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=110 />
+                </attached>
+            </RaceCheckPoint>
+
+<!-- GOAL -->
+            <RaceCheckPoint name="checkpoint17" position="12000,-4000,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="16" islast="true">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=135 />
+                </attached>
+            </RaceCheckPoint>
+        </checkpoints>
+    </SpaceRaceManager>
+
+
+<!-- Simplify paths -->
+    <!-- PORTALS -->
+
+    <Template name=PortalDefault>
+        <PortalEndPoint>
+            <attached>
+                <Billboard material="Portals/Default" scale="3"/>
+            </attached>
+        </PortalEndPoint>
+    </Template>
+
+    <PortalEndPoint position="2000,0,-1000" id="3" distance="60" target="MobileEntity" design="PortalDefault" />
+    <PortalEndPoint position="4500,0,-3400" id="4" distance="60" target="MobileEntity" design="PortalDefault" />
+    <PortalLink fromID="3" toID="4" />
+    <PortalLink fromID="4" toID="3" />
+
+
+    <!-- ForceField -->
+800,400,0
+        <ForceField position="1200,-400,0" direction="8,4,0" diameter=500 velocity=2000 length=500 />
+        <MovableEntity position="1200,-400,0">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.1,0.1,0.1" scale=1/>
+                <?lua for i=0,4,1 do ?>
+                    <Billboard position="<?lua print(i*200) ?>,<?lua print(i*100) ?>,-100" material="Examples/Flare" colour="0.1,0.1,0.1" scale=1/>
+                    <Billboard position="<?lua print(i*200) ?>,<?lua print(i*100) ?>,100" material="Examples/Flare" colour="0.1,0.1,0.1" scale=1/>
+                <?lua end ?>
+                </attached>
+        </MovableEntity>
+
+
+   <!-- Pickup -->
+   <PickupSpawner pickup=smallspeedpickup position="5300,0,-2300" triggerDistance="60" respawnTime="10" maxSpawnedItems="99" scale="12" />
+
+
+<!--- SCENERY --->
+    <!-- @Objects: HYDROGEN FARMER-->
+    <StaticEntity position="5700,0,-3700" mass=10000 >
+      <attached>
+        <Model mesh="HydroHarvester.mesh" mass=10 position="0,0,0" scale=50 />
+        <ParticleEmitter position="0,0,0" source="Orxonox/ThrusterFire" scale=1.2 />
+   <!-- <Model mesh="cube.mesh" mass=10 position="-560,0,0" scale3D="115,100,245"  />
+        <Model mesh="cube.mesh" mass=10 position="290,0,-480" scale3D="115,100,245" yaw=-120 />
+        <Model mesh="cube.mesh" mass=10 position="290,0,480" scale3D="115,100,245" yaw=-240 />
+        <Model mesh="cube.mesh" mass=10 position="-280,0,0" scale3D="163,50,50" />
+        <Model mesh="cube.mesh" mass=10 position="140,0,-240" scale3D="163,50,50"  yaw=-120/>
+        <Model mesh="cube.mesh" mass=10 position="140,0,240" scale3D="163,50,50" yaw=-240/>
+        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" />
+        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-120/>
+        <Model mesh="cube.mesh" mass=10 position="0,530,0" scale3D="172,52,298" yaw=-240/>
+        <Model mesh="cube.mesh" mass=10 position="0,400,0" scale3D="43,110,26" yaw=-30 />
+        <Model mesh="cube.mesh" mass=10 position="-200,100,0" scale3D="26,50,43" />
+        <Model mesh="cube.mesh" mass=10 position="100,100,-173" scale3D="43,50,26" yaw=-30/>
+        <Model mesh="cube.mesh" mass=10 position="100,100,173" scale3D="43,50,26" yaw=30/>
+        <Model mesh="cube.mesh" mass=10 position="-100,264,0" scale3D="26,105,43" roll=-49/>
+        <Model mesh="cube.mesh" mass=10 position="50,264,-87" scale3D="26,105,43" roll=-49 yaw=-120/>
+        <Model mesh="cube.mesh" mass=10 position="50,264,87" scale3D="26,105,43" roll=-49 yaw=-240/>     -->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape  position="-560,0,0" halfExtents="115,100,245" /><!-- Three lower boxes -->
+        <BoxCollisionShape  position="290,0,-480" halfExtents="115,100,245" yaw=-120 />
+        <BoxCollisionShape  position="290,0,480" halfExtents="115,100,245" yaw=-240 />
+        <BoxCollisionShape  position="-280,0,0" halfExtents="163,50,50" /><!-- Three lower connections -->
+        <BoxCollisionShape  position="140,0,-240" halfExtents="163,50,50" yaw=-120 />
+        <BoxCollisionShape  position="140,0,240" halfExtents="163,50,50" yaw=-240 />
+        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" /><!-- Upper Tower -->
+        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-120 />
+        <BoxCollisionShape  position="0,530,0" halfExtents="172,52,298" yaw=-240 />
+        <BoxCollisionShape  position="0,400,0" halfExtents="43,110,26" yaw=-30 /><!-- Middle one-->
+        <BoxCollisionShape  position="-200,100,0" halfExtents="26,50,43" /><!--Three lower legs -->
+        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=-30 />
+        <BoxCollisionShape  position="100,100,-173" halfExtents="43,50,26" yaw=30 />
+        <BoxCollisionShape  position="-100,264,0" halfExtents="26,105,43" roll=-49 /><!--Three upper legs -->
+        <BoxCollisionShape  position="50,264,-87" halfExtents="26,105,43" roll=-49 yaw=-120 />
+        <BoxCollisionShape  position="50,264,87" halfExtents="26,105,43" roll=-49 yaw=-240 />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="2800,0,0" mass=10000 pitch=0 roll=45 yaw=240 >
+      <attached>
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsBody.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsDuseL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsDuseR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsKuppelV.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsKuppelK.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsAntL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsAntR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsGarage.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=40 mesh="bsStation.mesh" />
+
+	<BlinkingBillboard position="20,-24,160" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+      	<BlinkingBillboard position="-20,-24,160" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="20,-25,190" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=40 quadratic=1 />
+      	<BlinkingBillboard position="-20,-25,190" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=40 quadratic=1 />
+	<BlinkingBillboard position="20,-25,220" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=80 quadratic=0 />
+      	<BlinkingBillboard position="-20,-25,220" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=80 quadratic=0 />
+	<BlinkingBillboard position="20,-26,250" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=120 quadratic=0 />
+      	<BlinkingBillboard position="-20,-26,250" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=120 quadratic=0 />
+	<BlinkingBillboard position="20,-26,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=160 quadratic=0 />
+      	<BlinkingBillboard position="-20,-26,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=160 quadratic=0 />
+	<BlinkingBillboard position="29,-35,142" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.2 frequency=30 phase=0 quadratic=0 />
+      	<BlinkingBillboard position="-29,-35,142" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.2 frequency=30 phase=0 quadratic=0 />
+      </attached>
+    </StaticEntity>
+
+   <!-- Docking -->
+    <Dock position="2830,20,50" roll=0 yaw=0 >
+        <animations>
+            <MoveToDockingTarget target="destroyer" />
+        </animations>
+        <effects>
+            <DockToShip target="spaceShip" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dockMe" />
+            </execute>
+            <activity>
+                <EventListener event=notGameEnd />
+            </activity>
+        </events>
+        <attached>
+                    <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
+	<BlinkingBillboard position="10,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="20,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="30,0,0" material="Examples/Flare" colour="1, 0.3, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,10,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,20,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,30,0" material="Examples/Flare" colour="0.3, 1, 1, 0.1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,0,10" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,0,20" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="0,0,30" material="Examples/Flare" colour="0.3, 0.3, 1, 1" amplitude=0.2 frequency=0.4 phase=0 quadratic=1 />
+            <DistanceTrigger position="0,0,0" distance="200" target="Pawn"
+                beaconMode="exclude" targetname="bcnDestroyer" name="dockMe"
+            />
+        </attached>
+
+    </Dock>
+    <SpaceShip
+        template            = "spaceshipcollateraldamage"
+        team                = "0"
+        position            = "2890,-40,6"
+        orientation         = "-0.14, 0.68, 0.68, 0.223"
+        lookat              = "0,0,0"
+        roll                = "180"
+        name                = "collateralDamage"
+        radarname           = "Collateral Damage" >
+        <!--
+        pitch               = "90"
+        yaw                 = "0"-->
+      <attached>
+        <DockingTarget name="spaceShip" />
+        <DistanceTriggerBeacon name="bcnDestroyer" />
+        <DockingTarget name="destroyer" />
+      </attached>
+    </SpaceShip>
+
+    <!-- triple large belt around the planet  -->
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 7190, 7800, 250, 1)
+    ?>
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 10000, 11000, 300, 1)
+    ?>
+    <?lua
+        dofile("includes/asteroidField.lua")
+        asteroidBelt(15000, 0, 0, 30, 0, 30, 30, 50, 14000, 15000, 350, 1)
+    ?>
+
+    <Planet
+      position="15000,0,-1000"
+      scale="5000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="10000000"
+      pitch="0"
+      mesh="planets/ganymede.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="1,0,0"
+      rotationrate="1.0"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+      collisiondamage = 2
+      enablecollisiondamage = true
+    >
+      <attached>
+        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="5000" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+
+<StaticEntity position="6750,-750,2000" yaw=0 pitch=0>
+    <attached>
+        <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" />
+    </attached>
+</StaticEntity>
+<SpaceShip position="6750,-740,2000" pitch="90" yaw="0" roll="0" radarname="Automatic Turret">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=1000 team=10>
+        </WaypointPatrolController>
+     </controller>
+</SpaceShip>
+
+
+    <!--- Some Randomn Asteroids  --->
+    <?lua
+      for i = 1, 250, 1
+      do
+      j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"
+      collisionType = dynamic
+      linearDamping = 0.8
+      angularDamping = 0
+      scale = "<?lua print(j * 150)?>"
+      collisiondamage = 1
+      enablecollisiondamage = true
+    >
+      <attached>
+        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <?lua
+      end
+    ?>
+
+
+
+
+
+
+<!-- INTERACTIVE PART -->
+    <DistanceTrigger name="start" position="-900,0,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
+    <DistanceTrigger name="spawnBots" position="-900,0,0"  target="Pawn" distance=100 stayActive="true" delay=4.5 />
+    <DistanceTrigger name="creditPetar" position="2000,0,0"  target="Pawn" distance=100 stayActive="true" delay=0.5 />
+    <DistanceTrigger name="creditDario" position="4500,0,-100"  target="Pawn" distance=200 stayActive="true" delay=5 />
+
+    <SimpleNotification message="Sound Effetcs by Mike." broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=start />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Racing Bots by Michael." broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=spawnBots />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Planetary Destroyer by Petar." broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=creditPetar />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Collateral Damage by Raphael." broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=dockMe />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification message="Automatic Turret by Dario." broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=creditDario />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <Script code="addBots 3" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event=spawnBots />
+            </trigger>
+        </events>
+    </Script>
+
+
+<!-- SOUNDS & MUSIC -->
+            <WorldSound name="scoreSound" position="-920,0,0" source="sounds/ReadyGo.ogg" >
+              <events>
+                <play>
+                  <EventListener event="start" />
+                </play>
+              </events>
+            </WorldSound>
+
+
+
+
+  </Scene>
+</Level>
+
Index: code/trunk/data/levels/templates/bigship.oxt
===================================================================
--- code/trunk/data/levels/templates/bigship.oxt	(revision 9526)
+++ code/trunk/data/levels/templates/bigship.oxt	(revision 9526)
@@ -0,0 +1,146 @@
+<Template name=bigship>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = bigshipcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 100
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 30
+   auxilaryThrust    = 30
+   rotationThrust    = 10
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 30
+   boostPowerRate        = 1.5
+   boostRate             = 4
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 1000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 15, 0, 0" template=bigshipengine />
+      <MultiStateEngine position="-15, 0, 0" template=bigshipengine />
+    </engines>
+    <attached>
+
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsBody.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsDuseL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsDuseR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsKuppelV.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsKuppelK.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsAntL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsAntR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsGarage.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsStation.mesh" />
+
+	<BlinkingBillboard position="2,-2.4,16" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=0 quadratic=1 />
+      	<BlinkingBillboard position="-2,-2.4,16" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="2,-2.5,19" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=40 quadratic=1 />
+      	<BlinkingBillboard position="-2,-2.5,19" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=40 quadratic=1 />
+	<BlinkingBillboard position="2,-2.5,22" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=80 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.5,22" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=80 quadratic=0 />
+	<BlinkingBillboard position="2,-2.6,25" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=120 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.6,25" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=120 quadratic=0 />
+	<BlinkingBillboard position="2,-2.6,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=160 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.6,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=160 quadratic=0 />
+	<BlinkingBillboard position="2.9,-3.5,14.2" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.02 frequency=30 phase=0 quadratic=0 />
+      	<BlinkingBillboard position="-2.9,-3.5,14.2" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.02 frequency=30 phase=0 quadratic=0 />
+
+
+
+<!--	<Model position="0,8,17" yaw=0 pitch=180 roll=0 scale3D="8, 10, 10" mesh="cube.mesh" />
+	<Model position="0,0,22" yaw=0 pitch=180 roll=0 scale3D="18, 2, 10" mesh="cube.mesh" />
+	<Model position="0,0,9" yaw=0 pitch=180 roll=0 scale3D="12, 2, 20" mesh="cube.mesh" />
+	<Model position="0,0,-18" yaw=0 pitch=180 roll=0 scale3D="6, 2, 18" mesh="cube.mesh" />
+-->
+
+    </attached>
+    <collisionShapes>
+	<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+	<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+	<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+	<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsbigship.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=bigshipcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,30, 50" drag=true mouselook=true />
+      <CameraPosition position="0,10,80" drag=true mouselook=true />
+      <CameraPosition position="0,40,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=bigshipengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 10
+   accelerationbrake     = 10
+   accelerationback      =  10
+   accelerationleftright =  10
+   accelerationupdown    =  10
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 10.5, 0, 32" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-10.5, 0, 32" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+ </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 10, 0, 32" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-10, 0, 32" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/lodInformation.oxt
===================================================================
--- code/trunk/data/levels/templates/lodInformation.oxt	(revision 9416)
+++ code/trunk/data/levels/templates/lodInformation.oxt	(revision 9526)
@@ -15,4 +15,6 @@
       <MeshLodInformation mesh=CuboidLandingZone.mesh enabled=false/>
       <MeshLodInformation mesh=HydroHarvester.mesh enabled=false />
+      <MeshLodInformation mesh=turretHead.mesh enabled=false />
+      <MeshLodInformation mesh=LaserBeam.mesh enabled=false/>
 
       <!-- disable LOD for some debris meshes which caused a crash (fixed in Ogre 1.7.3) -->
Index: code/trunk/data/levels/templates/spaceshipCollateralDamage.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 9526)
+++ code/trunk/data/levels/templates/spaceshipCollateralDamage.oxt	(revision 9526)
@@ -0,0 +1,142 @@
+<!-- keuschr /-->
+<Template name=spaceshipcollateraldamage>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipCDcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 200
+   maxhealth         = 400
+   initialhealth     = 200
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 12
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipCDengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipCDengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=-90 pitch=0 roll=0 scale=4 mesh="collateralDamage.mesh" />
+      
+      <BlinkingBillboard position="18.5,0.5,1.5" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=.5 quadratic=1 />
+      <BlinkingBillboard position="-18.5,0.5,1.5" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=.5 phase=180 quadratic=1 />
+
+	<!--Model mesh="cube.mesh" mass=10 position="0,0,0" scale3D="18,2,14" /-->
+	<!--Model mesh="cube.mesh" mass=10 position="0,2.5,0" scale3D="8,2.5,14" /-->
+
+    </attached>
+
+    <collisionShapes>
+      	<BoxCollisionShape position="0,0,0" halfExtents="18,2,14" />
+	<BoxCollisionShape position="0,2.5,0" halfExtents="8,2.5,14" />
+
+
+
+
+    </collisionShapes>
+
+
+
+<?lua
+  include("../includes/weaponSettingsCollateral.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipCDcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+      <CameraPosition position="0,50,150" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipCDengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 5
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 500
+   accelerationbrake     = 500
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    
+<EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="1, 0.5, 14" colour="1.0, 0.65, 0.2, 1.0" material="Examples/Flare" turnontime=0.2 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="-1, 0.5, 14" colour="1.0, 0.65, 0.2, 1.0" material="Examples/Flare" turnontime=0.2 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+    </EffectContainer>
+
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 1, 0, 17" colour="1, 0.4, 0.15, 1.0" width=6 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1.5 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-1, 0, 17" colour="1, 0.4, 0.15, 1.0" width=6 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1.5 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 8, 0, 12" colour="1, 0.8, 0, 0.3" width=6 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=3 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-8, 0, 12" colour="1, 0.8, 0, 0.3" width=6 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=3 turnofftime=1 material="Flares/ThrusterFlare1" />
+
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="8, -1, 12" colour="1, 0.8, 0, 0.3" material="Examples/Flare" turnontime=1 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.05 position="-8, -1, 12" colour="1, 0.8, 0, 0.3" material="Examples/Flare" turnontime=1 turnofftime=0.5 />
+
+    </EffectContainer>
+
+
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 3, 0, 20" colour="0.8,0.4,0, 0.15" width=5 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1.5 turnofftime=0.5 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-3, 0, 20" colour="0.8,0.4,0, 0.15" width=5 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1.5 turnofftime=0.5 material="Examples/Flare" />
+    </EffectContainer>
+
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>
Index: code/trunk/data/levels/templates/spaceshipEscort.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipEscort.oxt	(revision 9416)
+++ code/trunk/data/levels/templates/spaceshipEscort.oxt	(revision 9526)
@@ -2,5 +2,5 @@
   <SpaceShip
    hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipassffcameras
+   camerapositiontemplate = spaceshipescortcameras
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
@@ -39,6 +39,6 @@
   >
     <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipassffengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipassffengine />
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipescortengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipescortengine />
     </engines>
     <attached>
@@ -62,9 +62,9 @@
 </Template>
 
-<Template name=spaceshipassffcameras defaults=0>
+<Template name=spaceshipescortcameras defaults=0>
   <SpaceShip>
     <camerapositions>
-      <CameraPosition position="0,13, 40" drag=true mouselook=true />
-      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,15, 60" drag=true mouselook=true />
+      <CameraPosition position="0,20, 90" drag=true mouselook=true />
       <CameraPosition position="0,30,120" drag=true mouselook=true />
     </camerapositions>
@@ -72,5 +72,5 @@
 </Template>
 
-<Template name=spaceshipassffengine baseclass=MultiStateEngine>
+<Template name=spaceshipescortengine baseclass=MultiStateEngine>
   <MultiStateEngine
    boostfactor    = 2.2
Index: code/trunk/data/levels/templates/spaceshipTurret.oxt
===================================================================
--- code/trunk/data/levels/templates/spaceshipTurret.oxt	(revision 9526)
+++ code/trunk/data/levels/templates/spaceshipTurret.oxt	(revision 9526)
@@ -0,0 +1,60 @@
+<Template name=spaceshipturret>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipturretcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+        <Model position="0,0,0" yaw="90" roll="-90" mesh="turretHead.mesh" scale3D="10,10,10"/>
+    </attached>
+    <collisionShapes>
+        <SphereCollisionShape radius="10"   position = "0,0,0"/>
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsTurret.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipturretcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10, 40" drag=true mouselook=true />
+      <CameraPosition position="0,20, 80" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
Index: code/trunk/data/levels/turretTest.oxw
===================================================================
--- code/trunk/data/levels/turretTest.oxw	(revision 9526)
+++ code/trunk/data/levels/turretTest.oxw	(revision 9526)
@@ -0,0 +1,61 @@
+<LevelInfo
+ name = "turret Test"
+ description = "A level with a turret in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipTurret.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+<StaticEntity position="0,0,0" yaw=0 pitch=0>
+    <attached>
+        <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" />
+    </attached>
+</StaticEntity>
+
+
+
+<Turret position="0,10,0" pitch="90" yaw="0" roll="0">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=100 team=10>
+        </WaypointPatrolController>
+     </controller>
+</Turret>
+
+
+
+    
+  </Scene>
+</Level>
+
Index: code/trunk/data/overlays/HUD.oxo
===================================================================
--- code/trunk/data/overlays/HUD.oxo	(revision 9416)
+++ code/trunk/data/overlays/HUD.oxo	(revision 9526)
@@ -52,5 +52,5 @@
    value      = 0
   >
-    <BarColour position = 0.7 colour = "0.2,0.7,0.2" />
+    <BarColounar position = 0.7 colour = "0.2,0.7,0.2" />
     <BarColour position = 0.4 colour = "0.7,0.5,0.2" />
     <BarColour position = 0.1 colour = "0.7,0.2,0.2" />
@@ -63,5 +63,5 @@
    textSize      = 0.05
    navMarkerSize = 0.03
-   aimMarkerSize = 0.04
+   aimMarkerSize = 0.02
   />
 
Index: code/trunk/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/trunk/data/overlays/HUDTemplates3.oxo	(revision 9416)
+++ code/trunk/data/overlays/HUDTemplates3.oxo	(revision 9526)
@@ -105,5 +105,5 @@
      textsize      = 0.05
      navMarkerSize = 0.03
-     aimMarkerSize = 0.04
+     aimMarkerSize = 0.02
     />
 
